package com.menagerie.bakers.model.americas

import com.menagerie.bakers.model.Recipe
import com.menagerie.bakers.model.TagType
import bakersmenagerie.composeapp.generated.resources.Res
import bakersmenagerie.composeapp.generated.resources.jerk
import com.menagerie.bakers.model.TTT
import kotlin.time.Duration

val jamaicanList = listOf(
    Recipe(
        title = "Jamaican Jerk Sauce",
        description = "A spicy and flavorful Jamaican Jerk Sauce made with Scotch Bonnet Peppers, Red Onion, Garlic, and a blend of warm spices.",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.ZERO, // No cooking involved
        servings = "Makes about 2 cups",
        ingredients = listOf(
            "4-6 Scotch Bonnet Peppers, chopped",
            "1 Small Red Onion, chopped",
            "4-6 Garlic Cloves, chopped",
            "4 Stalks Scallions, end trimmed",
            "0.25 Cup Soy Sauce",
            "0.25 Cup Vinegar (White Vinegar or Apple Cider Vinegar)",
            "2 Tbsp Olive Oil",
            "0.25 Cup Lime Juice (from half a Lime)",
            "1 Tbsp Freshly Grated Ginger",
            "2 Tbsp Brown Sugar",
            "1 Tsp Nutmeg",
            "1 Tsp Allspice",
            "1 Tsp Cinnamon",
            "1 Tsp Dried Thyme",
            "Salt and Pepper, to taste"
        ),
        instructions = listOf(
            "Combine all ingredients in a food processor, Blend. Adjust Soy [0.25 Cup], Vinegar [0.25 Cup], and Oil [2 Tbsp] ratios accordingly for consistency."
        ),
        tags = mapOf(
            "Jamaican" to TagType.CUISINE,
            "Condiment" to TagType.COURSE,
            "Spicy" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Vegan" to TagType.PROTEIN,
        ),
        image = Res.drawable.jerk,
        ttt = TTT.TRUE,
    )
)