package com.menagerie.bakers.view.details

import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import com.menagerie.bakers.DisplayManager
import com.menagerie.bakers.Size
import com.menagerie.bakers.Orientation
import com.menagerie.bakers.model.Recipe



@Composable
fun RecipeDetails(
    recipe: Recipe,
    multipleRecipes: Boolean,
    animate: Boolean,
    goForward: () -> Unit,
    navController: NavHostController,
) {
    if ((DisplayManager.size == Size.Large  || DisplayManager.size == Size.Medium) && DisplayManager.orientation == Orientation.Landscape)
        RecipeDetailsLarge(
            recipe = recipe,
            multipleRecipes = multipleRecipes,
            goForward = goForward,
            navController = navController,
            animate = animate
        )
    else
        RecipeDetailsSmall(
            recipe = recipe,
            animate = animate,
            navController = navController,
        )
}